Subject: Re: [PATCH v2] test: set the realpath of CWD as TRASH_DIRECTORY

From: Michael Haggerty <[email-masked]>
Date: Fri, 31 Aug 2012 09:49:22 +0200

On 08/30/2012 07:26 AM, Junio C Hamano wrote:
> Michael Haggerty <[email-masked]> writes:
> 
>> By the way, is the use of realpath(3) permissible in git code?
>> GIT_CEILING_DIRECTORIES handling could be fixed relatively easily by
>> using this function to canonicalize pathnames before comparison.
> 
> As long as we can add a compat/realpath.c (perhaps lift one from
> glibc before they went GPLv3) for platforms that matter, I do not
> see it as a huge problem.  How close is abspath.c::real_path() to
> what you need?

Cool, I didn't know about that function.  It's approximately what is
needed, except that it dies if fed an invalid path (unacceptable when
processing GIT_CEILING_DIRECTORIES) and it's buggy (try "test-path-utils
real_path ''" or "test-path-utils real_path '/foo'").  However, I'm
working on fixing it and splitting off a variant that returns NULL on
errors.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/